OpenMessageEvent (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.client.event

## Class OpenMessageEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<OpenMessageEventHandler>
    - - org.gcube.portlets.user.messages.client.event.OpenMessageEvent

- All Implemented Interfaces:
    GuiEventInterface

      public class OpenMessageEvent
      extends com.google.gwt.event.shared.GwtEvent<OpenMessageEventHandler>
      implements GuiEventInterface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OpenMessageEvent.OpenType`

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<OpenMessageEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenMessageEvent(String messageIdentifier, OpenMessageEvent.OpenType openType, String messageType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(OpenMessageEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<OpenMessageEventHandler>` | `getAssociatedType()`
    `EventsTypeEnum` | `getKey()`
    `MessageModel` | `getMessage()`
    `String` | `getMessageIdentifier()`
    `String` | `getMessageType()`
    `OpenMessageEvent.OpenType` | `getOpenType()`
    `String` | `getOpenTypeToString()`
    `void` | `setMessage(MessageModel message)`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<OpenMessageEventHandler> TYPE

  - ### Constructor Detail

    - #### OpenMessageEvent

          public OpenMessageEvent(String messageIdentifier,
                          OpenMessageEvent.OpenType openType,
                          String messageType)

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<OpenMessageEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<OpenMessageEventHandler>`

    - #### dispatch

          protected void dispatch(OpenMessageEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<OpenMessageEventHandler>`

    - #### getMessageIdentifier

          public String getMessageIdentifier()

    - #### getOpenType

          public OpenMessageEvent.OpenType getOpenType()

    - #### getOpenTypeToString

          public String getOpenTypeToString()

    - #### getMessageType

          public String getMessageType()

    - #### getKey

          public EventsTypeEnum getKey()

      Specified by:
        `getKey` in interface `GuiEventInterface`

    - #### getMessage

          public MessageModel getMessage()

    - #### setMessage

          public void setMessage(MessageModel message)

Copyright © 2014. All Rights Reserved.